package com.nisum.kafka_poc.controller;

import com.nisum.kafka_poc.service.KafkaConsumerService;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/kafka")
public class KafkaConsumerController {

    private final KafkaConsumerService kafkaConsumerService;

    public KafkaConsumerController(KafkaConsumerService kafkaConsumerService) {
        this.kafkaConsumerService = kafkaConsumerService;
    }

    // Trigger Kafka message consumption from the configured topic
    @GetMapping("/consume")
    public String consumeMessage() {
        // This is an example to demonstrate the consumer; actual consumption happens automatically
        return "Kafka Consumer is active, waiting for messages...";
    }

}
